# Asterisk Project : Asterisk 12 ManagerAction_AGI

Added by wikibot , edited by wikibot on Aug 29, 2013

# AGI

### Synopsis

Add an AGI command to execute by Async AGI.

### Description

Add an AGI command to the execute queue of the channel in Async AGI.

### Syntax

    Action: AGI
    ActionID: <value>
    Channel: <value>
    Command: <value>
    CommandID: <value>

##### Arguments

- `ActionID` - ActionID for this transaction. Will be returned.
- `Channel` - Channel that is currently in Async AGI.
- `Command` - Application to execute.
- `CommandID` - This will be sent back in CommandID header of AsyncAGI exec event notification.

### See Also

### Import Version

This documentation was imported from Asterisk Version Unknown